Sets
API reference for sets endpoints
Base URL:
All responses are JSON. No authentication is required for read operations.
https://api.riftcodex.comAll responses are JSON. No authentication is required for read operations.
Endpoints
GET
/sets
Get Sets
Get a paginated list of sets
Query Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| page | query | integer (default: 1) (min: 1) | — | Page number |
| size | query | integer (default: 50) (max: 100) (min: 1) | — | Page size |
curl "https://api.riftcodex.com/sets"
Response 200
// Successful Response
GET
/sets/set-id/{set_id}
Get Set By Set Id
Get a set by its Riftbound set ID, e.g. sfd, ogn (case insensitive).
Path Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| set_id | path | string | ✓ yes | The set's Riftbound set ID, e.g. sfd, ogn (case insensitive). |
curl "https://api.riftcodex.com/sets/set-id/ogn"
Response 200
{
"card_count": 95,
"cardmarket_id": ["6322", "6483"],
"id": "69a7184cbddee0883890186a",
"name": "Riftbound Organized Play Promotional Cards",
"published_on": "2025-10-31T00:00:00",
"set_id": "OPP",
"tcgplayer_id": "24343"
}
GET
/sets/tcgplayer/{tcgplayer_id}
Get Set By Tcgplayer Id
Get a set by its TCGPlayer ID (also known as the groupID in TCGPlayer)
Path Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| tcgplayer_id | path | string | ✓ yes | The TCGPlayer ID of the set (also known as the groupID in TCGPlayer) |
curl "https://api.riftcodex.com/sets/tcgplayer/24519"
Response 200
{
"card_count": 95,
"cardmarket_id": ["6322", "6483"],
"id": "69a7184cbddee0883890186a",
"name": "Riftbound Organized Play Promotional Cards",
"published_on": "2025-10-31T00:00:00",
"set_id": "OPP",
"tcgplayer_id": "24343"
}
GET
/sets/cardmarket/{cardmarket_id}
Get Set By Cardmarket Id
Get a set by its Cardmarket ID. Note that some sets have multiple Cardmarket IDs, in which case either ID can be used to retrieve the set.
Path Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| cardmarket_id | path | string | ✓ yes | The Cardmarket ID of the set |
curl "https://api.riftcodex.com/sets/cardmarket/6399"
Response 200
{
"card_count": 95,
"cardmarket_id": ["6322", "6483"],
"id": "69a7184cbddee0883890186a",
"name": "Riftbound Organized Play Promotional Cards",
"published_on": "2025-10-31T00:00:00",
"set_id": "OPP",
"tcgplayer_id": "24343"
}
GET
/sets/{id}
Get Set By Id
Path Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | string | ✓ yes | The Riftcodex ID of the set. |
curl "https://api.riftcodex.com/sets/:id"
Response 200
{
"card_count": 95,
"cardmarket_id": ["6322", "6483"],
"id": "69a7184cbddee0883890186a",
"name": "Riftbound Organized Play Promotional Cards",
"published_on": "2025-10-31T00:00:00",
"set_id": "OPP",
"tcgplayer_id": "24343"
}
Schema Reference
Set
| Field | Type | Required | Description |
|---|---|---|---|
| id | string | ✓ yes | The unique Riftcodex identifier for the set. |
| name | string | ✓ yes | The name of the set |
| set_id | string | ✓ yes | The set's Riftbound ID |
| card_count | integer | ✓ yes | The number of cards in the set, if known. |
| tcgplayer_id | string | — | The set's TCGPlayer ID, if known. Also known as the `groupID` in TCGPlayer. |
| cardmarket_id | string | array | — | The set's Cardmarket ID(s), if known. Can be a string or a list of strings. |
| published_on | string | ✓ yes | The date when the set was published, in ISO 8601 format. |
Example
{
"card_count": 95,
"cardmarket_id": ["6322", "6483"],
"id": "69a7184cbddee0883890186a",
"name": "Riftbound Organized Play Promotional Cards",
"published_on": "2025-10-31T00:00:00",
"set_id": "OPP",
"tcgplayer_id": "24343"
}